Package com.ads.api.beans.bgm

# Class BusinessTerm

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.bgm.BusinessObject
com.ads.api.beans.bgm.BusinessTerm

public class BusinessTerm extends BusinessObject
This class provides some beans control methods related to Business Term such as termId, catalog in which it is present, its definition, description, related Notes, classification type, steward Name associated to it etc...and its related Audit Specifications.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessTerm()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAcronym()`
  Returns the acronym value of Business Term as YES or NO.
  `String`
  `getDataClassificationType()`
  Returns the dataClassificationType of the Business Term as Master, Reference, Derived, Transactional or Operational.
  `String`
  `getDataCollectionType()`
  Returns the dataCollectionType of the Business Term as Screen, DashBoard, API etc...
  `String`
  `getDataObjectType()`
  Returns the dataObjectType value of the Business Term as Business Data Element or Data Collection Element or Physical Data Element.
  `String`
  `getMeaningCategoryType()`
  Returns the meaningCategoryType value as conceptual, logical or physical of the Business Term
  `String`
  `getNotes()`
  Returns the notes related to the business object.
  `String`
  `getStatus()`
  Returns the Business Term Status as either Rejected, pendingReview, Pending Approval, Approval or Published.
  `String`
  `getUserDefinedField1()`
  Returns the userDefinedField1 value of the Business Term.
  `String`
  `getUserDefinedField10()`
  Returns the userDefinedField10 value of the Business Term.
  `String`
  `getUserDefinedField2()`
  Returns the userDefinedField2 value of the Business Term.
  `String`
  `getUserDefinedField3()`
  Returns the userDefinedField3 value of the Business Term.
  `String`
  `getUserDefinedField4()`
  Returns the userDefinedField4 value of the Business Term.
  `String`
  `getUserDefinedField5()`
  Returns the userDefinedField5 value of the Business Term.
  `String`
  `getUserDefinedField6()`
  Returns the userDefinedField6 value of the Business Term.
  `String`
  `getUserDefinedField7()`
  Returns the userDefinedField7 value of the Business Term.
  `String`
  `getUserDefinedField8()`
  Returns the userDefinedField8 value of the Business Term.
  `String`
  `getUserDefinedField9()`
  Returns the userDefinedField9 value of the Business Term.
  `boolean`
  `isPublished()`
  Returns the BusinessTerm published value as YES or NO.
  `boolean`
  `isValid()`
  Returns the valid value as True or False.
  `void`
  `setAcronym(String acronym)`
  Sets the acronym value to the Business Term.
  `void`
  `setDataClassificationType(String dataClassificationType)`
  Sets the dataClassificationType to the Business Term as Specified.
  `void`
  `setDataCollectionType(String dataCollectionType)`
  Sets the dataCollectionType value as Specified to the Business Term.
  `void`
  `setDataObjectType(String dataObjectType)`
  Sets the dataObjectType value to the Business Term as Specified.
  `void`
  `setMeaningCategoryType(String meaningCategoryType)`
  Sets the meaningCategoryType value to the Business Term.
  `void`
  `setNotes(String notes)`
  Sets the notes to the business object as Specified.
  `void`
  `setPublished(boolean published)`
  Sets the published value to the Business Term as Specified.
  `void`
  `setStatus(String status)`
  Sets the Business Term Status to the Business Term as Specified.
  `void`
  `setUserDefinedField1(String userDefinedField1)`
  Sets the userDefinedField1 as specified to the Business Term.
  `void`
  `setUserDefinedField10(String userDefinedField10)`
  Sets the userDefinedField10 as specified to the Business Term.
  `void`
  `setUserDefinedField2(String userDefinedField2)`
  Sets the userDefinedField2 as specified to the Business Term.
  `void`
  `setUserDefinedField3(String userDefinedField3)`
  Sets the userDefinedField3 as specified to the Business Term.
  `void`
  `setUserDefinedField4(String userDefinedField4)`
  Sets the userDefinedField4 as specified to the Business Term.
  `void`
  `setUserDefinedField5(String userDefinedField5)`
  Sets the userDefinedField5 as specified to the Business Term.
  `void`
  `setUserDefinedField6(String userDefinedField6)`
  Sets the userDefinedField6 as specified to the Business Term.
  `void`
  `setUserDefinedField7(String userDefinedField7)`
  Sets the userDefinedField7 as specified to the Business Term.
  `void`
  `setUserDefinedField8(String userDefinedField8)`
  Sets the userDefinedField8 as specified to the Business Term.
  `void`
  `setUserDefinedField9(String userDefinedField9)`
  Sets the userDefinedField9 as specified to the Business Term.
  `void`
  `setValid(boolean valid)`
  Sets the valid value as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.bgm.BusinessObject

  `addSDIClassification, getAssetType, getAuditHistory, getCatalogId, getDefinition, getDescription, getFields, getFieldValue, getId, getName, getObjectTypeId, getSDIClassifications, getWorkflowStatus, isSdiFlag, setAssetType, setAuditHistory, setCatalogId, setDefinition, setDescription, setFields, setFieldValue, setId, setName, setSDIClassifications, setSdiFlag, setWorkflowStatus`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BusinessTerm

    public BusinessTerm()

- ## Method Details

  - ### getStatus

    public String getStatus()
    Returns the Business Term Status as either Rejected, pendingReview, Pending Approval, Approval or Published.
    Returns:
      status String

  - ### setStatus

    public void setStatus(String status)
    Sets the Business Term Status to the Business Term as Specified.
    Parameters:
      `status` - String

  - ### getDataClassificationType

    public String getDataClassificationType()
    Returns the dataClassificationType of the Business Term as Master, Reference, Derived, Transactional or Operational.
    Returns:
      dataClassificationType

  - ### setDataClassificationType

    public void setDataClassificationType(String dataClassificationType)
    Sets the dataClassificationType to the Business Term as Specified.
    Parameters:
      `dataClassificationType` - String

  - ### getAcronym

    public String getAcronym()
    Returns the acronym value of Business Term as YES or NO.
    Returns:
      acronym

  - ### setAcronym

    public void setAcronym(String acronym)
    Sets the acronym value to the Business Term.
    Parameters:
      `acronym` - String

  - ### isValid

    public boolean isValid()
    Returns the valid value as True or False.
    Returns:
      valid boolean

  - ### setValid

    public void setValid(boolean valid)
    Sets the valid value as specified.
    Parameters:
      `valid` - boolean

  - ### getDataObjectType

    public String getDataObjectType()
    Returns the dataObjectType value of the Business Term as Business Data Element or Data Collection Element or Physical Data Element.
    Returns:
      dataObjectType

  - ### setDataObjectType

    public void setDataObjectType(String dataObjectType)
    Sets the dataObjectType value to the Business Term as Specified.
    Parameters:
      `dataObjectType` - String

  - ### getDataCollectionType

    public String getDataCollectionType()
    Returns the dataCollectionType of the Business Term as Screen, DashBoard, API etc...
    Returns:
      dataCollectionType String

  - ### setDataCollectionType

    public void setDataCollectionType(String dataCollectionType)
    Sets the dataCollectionType value as Specified to the Business Term.
    Parameters:
      `dataCollectionType` - String

  - ### getMeaningCategoryType

    public String getMeaningCategoryType()
    Returns the meaningCategoryType value as conceptual, logical or physical of the Business Term
    Returns:
      meaningCategoryType String

  - ### setMeaningCategoryType

    public void setMeaningCategoryType(String meaningCategoryType)
    Sets the meaningCategoryType value to the Business Term.
    Parameters:
      `meaningCategoryType` - String

  - ### getUserDefinedField1

    public String getUserDefinedField1()
    Returns the userDefinedField1 value of the Business Term.
    Returns:
      userDefinedField1 String

  - ### setUserDefinedField1

    public void setUserDefinedField1(String userDefinedField1)
    Sets the userDefinedField1 as specified to the Business Term.
    Parameters:
      `userDefinedField1` - String

  - ### getUserDefinedField2

    public String getUserDefinedField2()
    Returns the userDefinedField2 value of the Business Term.
    Returns:
      userDefinedField2 String

  - ### setUserDefinedField2

    public void setUserDefinedField2(String userDefinedField2)
    Sets the userDefinedField2 as specified to the Business Term.
    Parameters:
      `userDefinedField2` - String

  - ### getUserDefinedField3

    public String getUserDefinedField3()
    Returns the userDefinedField3 value of the Business Term.
    Returns:
      userDefinedField3 String

  - ### setUserDefinedField3

    public void setUserDefinedField3(String userDefinedField3)
    Sets the userDefinedField3 as specified to the Business Term.
    Parameters:
      `userDefinedField3` - String

  - ### getUserDefinedField4

    public String getUserDefinedField4()
    Returns the userDefinedField4 value of the Business Term.
    Returns:
      userDefinedField4 String

  - ### setUserDefinedField4

    public void setUserDefinedField4(String userDefinedField4)
    Sets the userDefinedField4 as specified to the Business Term.
    Parameters:
      `userDefinedField4` - String

  - ### getUserDefinedField5

    public String getUserDefinedField5()
    Returns the userDefinedField5 value of the Business Term.
    Returns:
      userDefinedField5 String

  - ### setUserDefinedField5

    public void setUserDefinedField5(String userDefinedField5)
    Sets the userDefinedField5 as specified to the Business Term.
    Parameters:
      `userDefinedField5` - String

  - ### getUserDefinedField6

    public String getUserDefinedField6()
    Returns the userDefinedField6 value of the Business Term.
    Returns:
      userDefinedField6 String

  - ### setUserDefinedField6

    public void setUserDefinedField6(String userDefinedField6)
    Sets the userDefinedField6 as specified to the Business Term.
    Parameters:
      `userDefinedField6` - String

  - ### getUserDefinedField7

    public String getUserDefinedField7()
    Returns the userDefinedField7 value of the Business Term.
    Returns:
      userDefinedField7 String

  - ### setUserDefinedField7

    public void setUserDefinedField7(String userDefinedField7)
    Sets the userDefinedField7 as specified to the Business Term.
    Parameters:
      `userDefinedField7` - String

  - ### getUserDefinedField8

    public String getUserDefinedField8()
    Returns the userDefinedField8 value of the Business Term.
    Returns:
      userDefinedField8 String

  - ### setUserDefinedField8

    public void setUserDefinedField8(String userDefinedField8)
    Sets the userDefinedField8 as specified to the Business Term.
    Parameters:
      `userDefinedField8` - String

  - ### getUserDefinedField9

    public String getUserDefinedField9()
    Returns the userDefinedField9 value of the Business Term.
    Returns:
      userDefinedField9 String

  - ### setUserDefinedField9

    public void setUserDefinedField9(String userDefinedField9)
    Sets the userDefinedField9 as specified to the Business Term.
    Parameters:
      `userDefinedField9` - String

  - ### getUserDefinedField10

    public String getUserDefinedField10()
    Returns the userDefinedField10 value of the Business Term.
    Returns:
      userDefinedField10 String

  - ### setUserDefinedField10

    public void setUserDefinedField10(String userDefinedField10)
    Sets the userDefinedField10 as specified to the Business Term.
    Parameters:
      `userDefinedField10` - String

  - ### isPublished

    public boolean isPublished()
    Returns the BusinessTerm published value as YES or NO.
    Returns:
      published

  - ### setPublished

    public void setPublished(boolean published)
    Sets the published value to the Business Term as Specified.
    Parameters:
      `published` - boolean

  - ### getNotes

    public String getNotes()
    Returns the notes related to the business object.
    Returns:
      notes String

  - ### setNotes

    public void setNotes(String notes)
    Sets the notes to the business object as Specified.
    Parameters:
      `notes` - String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BusinessObject`